Subject: Re: resolv.conf on Solaris 2.3
From: [email-masked] (Paul Southworth)
Date: 4 Oct 1994 08:45:51 -0700
Newsgroups: local.mail.dns.bind

In article <[email-masked]>,
Simon Townsend <[email-masked]> wrote:
>*All* I want to do is set up resolv.conf on a Sun SparcStation LX to use our
>network DNS server.
>
>The Sun configuration seems to require me to set a flag in the NIS master to
>indicate that DNS should be used.  We do not use NIS.  I can not find any
>information on how I should set it up to work otherwise.

Your maxim for the day is:

"The virtue of an NIS implementation is a function of how easily you can
turn it off"

In the case of Solaris 2.x, I must say the NIS implementation is outstanding.

1. Edit /etc/nsswitch.conf.  Make the "hosts:" line read "hosts: dns".
2. Create /etc/resolv.conf

You're done!

--
Paul Southworth
CICNet, Inc.
[email-masked]